KDE 4.9 PyKDE API Reference

- KDE's Python API

# ElevationModel Class Reference

`from PyKDE4.marble import *`

Inherits: QObject
Namespace: Marble

## Detailed Description

## Signals
| updateAvailable ()
## Methods
| __init__ (self, Marble.MarbleModel model)
float | height (self, float lon, float lat)
[Marble.GeoDataCoordinates] | heightProfile (self, float fromLon, float fromLat, float toLon, float toLat)

## Signal Documentation

updateAvailable | ( |  | ) |

Elevation tiles loaded. You will get more accurate results when querying height for at least one that was queried before.

Signal syntax:
  `QObject.connect(source, SIGNAL("updateAvailable()"), target_slot)`

## Method Documentation

__init__ | ( | self, |
|  | Marble.MarbleModel | model
| ) |  |  |

float height | ( | self, |
|  | float | lon,
|  | float | lat
| ) |  |  |

[Marble.GeoDataCoordinates] heightProfile | ( | self, |
|  | float | fromLon,
|  | float | fromLat,
|  | float | toLon,
|  | float | toLat
| ) |  |  |